ReflectionClass::getExtensionName
ReflectionClass::getInterfaceNames
ReflectionClass
PHP Manual

# ReflectionClass::getFileName

(PHP 5)

ReflectionClass::getFileName — Gets the filename of the file in which the class has been defined

### Description

public string ReflectionClass::getFileName ( void )

Gets the filename of the file in which the class has been defined.

### Parameters

This function has no parameters.

### Return Values

Returns the filename of the file in which the class has been defined. If the class is defined in the PHP core or in a PHP extension, `FALSE` is returned.

### See Also

- ReflectionClass::getExtensionName() - Gets the name of the extension which defined the class

ReflectionClass::getExtensionName
ReflectionClass::getInterfaceNames
ReflectionClass
PHP Manual